Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class TaskControl

    java.lang.Object
      org.jboss.seam.navigation.TaskControl

    public class TaskControl

extends Object

Constructor Summary
`TaskControl()`

Method Summary
`void` | `beginOrEndTask()`
`Expressions.ValueExpression<Long>` | `getTaskId()`
`Expressions.ValueExpression<String>` | `getTransition()`
`boolean` | `isBeginTask()`
`boolean` | `isEndTask()`
`boolean` | `isStartTask()`
`void` | `setBeginTask(boolean isBeginTask)`
`void` | `setEndTask(boolean isEndTask)`
`void` | `setStartTask(boolean isStartTask)`
`void` | `setTaskId(Expressions.ValueExpression<Long> taskId)`
`void` | `setTransition(Expressions.ValueExpression<String> transition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskControl

    public TaskControl()

Method Detail

### beginOrEndTask

    public void beginOrEndTask()

### isBeginTask

    public boolean isBeginTask()

### setBeginTask

    public void setBeginTask(boolean isBeginTask)

### isEndTask

    public boolean isEndTask()

### setEndTask

    public void setEndTask(boolean isEndTask)

### isStartTask

    public boolean isStartTask()

### setStartTask

    public void setStartTask(boolean isStartTask)

### setTaskId

    public void setTaskId(Expressions.ValueExpression<Long> taskId)

### getTaskId

    public Expressions.ValueExpression<Long> getTaskId()

### getTransition

    public Expressions.ValueExpression<String> getTransition()

### setTransition

    public void setTransition(Expressions.ValueExpression<String> transition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD